#
# Conditional build
%bcond_without	tests	# perform "make check"
#
Summary:	GNU Macro Processor
Summary(de.UTF-8):	GNU-Makro-Prozessor
Summary(fr.UTF-8):	Processeur de macros de GNU
Summary(pl.UTF-8):	GNU procesor języka makrodefinicji
Summary(tr.UTF-8):	GNU Makroİşlemcisi
Name:		m4
Version:	1.4.19
Release:	1
Epoch:		3
License:	GPL v3+
Group:		Applications/Text
Source0:	https://ftp.gnu.org/gnu/m4/%{name}-%{version}.tar.xz
# Source0-md5:	0d90823e1426f1da2fd872df0311298d
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/m4/
BuildRequires:	gettext-tools >= 0.19.2
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GNU implementation of the traditional UNIX macro processor. M4 is
useful for writing text files which can be logically parsed, and is
used by many programs as part of their build process. M4 has built-in
functions for including files, running shell commands, doing
arithmetic, etc. The autoconf program needs m4 for generating
configure scripts, but not for running configure scripts.

%description -l de.UTF-8
Dies ist die GNU-Makroverarbeitungssprache. Es ist zum Schreiben von
Textdateien geeignet, die logisch geparst werden können. Viele
Programme nutzen dies als Teil des Build-Vorgangs.

%description -l fr.UTF-8
Le langage de macro commande GNU. Il est utile pour constituer des
fichiers textes devant etre parcourues logiquement. De nombreux
programmes l'utilisent lors de leur processus de construction.

%description -l pl.UTF-8
W pakiecie znajduje się m4 - GNU procesor języka makrodefinicji.
Używany jest do tworzenia plików tekstowych, które mogą być logicznie
parsowane. Wiele programów korzysta z m4 podczas procesu kompilacji
kodu źródłowego.

%package devel
Summary:	Files to develop application with embedded m4 interpreter
Summary(pl.UTF-8):	Pliki do tworzenia aplikacji z wbudowanym interpreterem m4
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Files to develop application with embedded m4 interpreter.

%description devel -l pl.UTF-8
Pliki do tworzenia aplikacji z wbudowanym interpreterem m4.

%package static
Summary:	Static m4 library
Summary(pl.UTF-8):	Statyczna biblioteka m4
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static m4 library.

%description static -l pl.UTF-8
Statyczna biblioteka m4.

%prep
%setup -q
%patch0 -p1

%{__sed} -i '1 i @documentencoding ISO-8859-1' doc/m4.texi

# fails because of "Killed" printed (expected stderr is empty)
%{__rm} checks/198.sysval
touch checks/stamp-checks

# PLD builders stub resolv.conf file, use another one for tests
%{__sed} -i -e 's,/etc/resolv\.conf,/etc/nsswitch.conf,' tests/test-read-file.c
# SIGPIPE tests fail on builders due to unknown reason (detached terminal???)
# raise(SIGPIPE) does nothing, child process exits with return code 71
%{__sed} -i -e 's/ 3 4 / /' tests/test-execute.sh

%build
%configure \
	PACKAGE=m4 \
	--disable-silent-rules \
	%{!?debug:--without-dmalloc}

%{__make}

%if %{with tests}
st=0
%{__make} check || st=1
if [ "$st" -ne 0 ]; then
	cat tests/test-suite.log
	exit 1
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/m4
%{_infodir}/m4.info*
%{_mandir}/man1/m4.1*
%changelog
* Sun Aug 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/m4.git;a=log;h=master

* Sun Jun 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 30b6143
- typo

* Sun Jun 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 4a17833
- disable SIGPIPE tests from test-execute.sh (fail on builders)

* Sun Jun 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 72064ce
- added tests-diag patch (try to debug test failures on builder)

* Sat Jun 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 1d260a7
- try to get test suite log

* Sat Jun 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 733abe3
- try to fix test-read-file on builders

* Sat Jun 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 10aefdd
- updated to 1.4.19; uses gettext now
- removed obsolete glibc-2.28 patch

* Thu Apr 30 2020 Jan Palus <atler@pld-linux.org> a1b0e94
- explicitly define encoding for texinfo file

* Mon Apr 20 2020 Jan Palus <atler@pld-linux.org> ae6bf03
- patch to fix build with glibc >= 2.28

* Mon Jan 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 34e48f3
- updated to 1.4.18

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f10d1dc
- x32 rebuild
- release 2 (by relup.sh)

* Tue Oct 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0baedc4
- really run tests

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 744166f
- updated to 1.4.17
- updated info patch
- removed obsolete stdio-gets patch

* Wed Dec 12 2012 Jan Rękorajski <baggins@pld-linux.org> e90703a
- fix missing gets definition
- rel 2

* Fri Mar 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d6623b
- up to 1.4.16

* Wed Sep 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 8dfe9e4
- updated to 1.4.15
- switched to .xz source

* Mon Mar 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c0d7f64
- up to 1.4.14

* Fri Feb 19 2010 sparky <sparky@pld-linux.org> 8851115
- dropped unused BR: autoconf, automake, gettext-devel, libtool, perl-devel

* Fri Feb 19 2010 Elan Ruusamäe <glen@pld-linux.org> 7eace42
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ffba319
- drop obsolete files

* Fri Apr 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f38f510
- up to 1.4.13

